import { FowerPlugin, Configuration, Theme, CSSObject, ModeType } from './typings';
import type { Atom } from './atom';
declare type Strategy = 'replace' | 'merge' | 'deepmerge';
export declare type PartialThemeConfig = Theme | {
    [key: string]: any;
};
export declare type PartialConfig = Configuration | {
    [key: string]: any;
};
export declare class Store {
    config: Configuration;
    atomCache: Map<string, Atom>;
    getAtomIds: () => string[];
    compositions: Map<string, any>;
    get theme(): Theme;
    getConfig: () => Configuration;
    setConfig: (config: PartialConfig, strategy?: Strategy) => void;
    getTheme: () => Theme;
    setTheme: (partialThemeConfig: PartialThemeConfig) => void;
    getMode: () => string;
    setMode: (mode: ModeType) => void;
    use: (...plugins: FowerPlugin[]) => void;
    addAtom: (matcher: string | RegExp, handleAtomOrStyleObject: FowerPlugin['handleAtom'] | CSSObject) => FowerPlugin;
    composeAtom: (atomName: string, cssObject: CSSObject) => void;
}
export declare const store: Store;
export {};
